<?PHP
//////////////////////////////////////////////////////////
        include("config/includes/linkleiste");
echo "<link rel=stylesheet type=\"text/css\" href=\"config/includes/style.css\">\n";
//////////////////////////////////////////////////////////

include("config/includes/configuration");
$read_write = "config/tables/$kopier_bereich";
$space = 0;
echo "<center>\n";
if($kopier_bereich == nooooo)
        {
        echo "<br><br><p class=error>Welche Tabelle möchten Sie bearbeiten?<br><br>Sie müssen einen Bereich auswählen!</p>\n";
        exit;
        }
$verz=opendir ("eigene_bilder/$kopier_bereich/thumbs");

while ($new = readdir ($verz))
	{
	if($new != "." && $new != "..")
		{
		$new_b = filesize("eigene_bilder/$kopier_bereich/thumbs/$new");
		$new_kb = round($new_b / 1000 , 1);
		$space = $space+$new_kb;
		}
	}
$verz=opendir ("eigene_bilder/$kopier_bereich/tif");
while ($new = readdir ($verz))
	{
	if($new != "." && $new != "..")
		{
		$new_b = filesize("eigene_bilder/$kopier_bereich/tif/$new");
		$new_kb = round($new_b / 1000 , 1);
		$space = $space+$new_kb;
		}
	}
$verz=opendir ("eigene_bilder/$kopier_bereich/jpg");
while ($new = readdir ($verz))
	{
	if($new != "." && $new != "..")
		{
		$new_b = filesize("eigene_bilder/$kopier_bereich/jpg/$new");
		$new_kb = round($new_b / 1000 , 1);
		$space = $space+$new_kb;
		}
	}
if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
	{
	$verz=opendir ("eigene_bilder/$kopier_bereich/safe_pics");
	while ($new = readdir ($verz))
		{
		if($new != "." && $new != "..")
			{
			$new_b = filesize("eigene_bilder/$kopier_bereich/safe_pics/$new");
			$new_kb = round($new_b / 1000 , 1);
			$space = $space+$new_kb;
			}
		}
	}
$mb_space = round($space / 1000 , 2);
if(isset($mount)){}
else
{

if(isset($delete) && ($kopier_bereich == Muelleimer))
	{
	$file = $read_write;
	$array = file($read_write);
	$end = count($array);
	$fp = fopen("$file","w-");
	for($x=0;$x<$del;$x++)
		{
		fwrite($fp,$array[$x]);
		}
	for($x=$del + 1;$x<$end;$x++)
		{
		fwrite($fp,$array[$x]);
		}
	fclose($fp);
	unlink("eigene_bilder/$kopier_bereich/jpg/jpg_$akt_pic.jpg");
	unlink("eigene_bilder/$kopier_bereich/thumbs/thumb_$akt_pic.jpg");
	if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$akt_pic.tif"))
		{
		unlink("eigene_bilder/$kopier_bereich/tif/tif_$akt_pic.tif");
		}
	if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
		{
		if(file_exists("eigene_bilder/$kopier_bereich/safe_pics/jpg_$akt_pic.jpg~"))
			{
			unlink("eigene_bilder/$kopier_bereich/safe_pics/jpg_$akt_pic.jpg~");
			}
		}
	}
if(isset($delete_all) && ($kopier_bereich == Muelleimer))
	{
	$file = $read_write;
	$fp = fopen("$file","w-");
	fclose($fp);
	$verzeichnis = "eigene_bilder/$kopier_bereich/jpg";
	$verz=opendir ($verzeichnis);
	while ($new = readdir ($verz))
		{
		if($new != "." && $new != "..")
			{
			unlink("eigene_bilder/$kopier_bereich/jpg/$new");
			}
		}
	$verzeichnis = "eigene_bilder/$kopier_bereich/thumbs";
	$verz=opendir ($verzeichnis);
	while ($new = readdir ($verz))
		{
		if($new != "." && $new != "..")
			{
			unlink("eigene_bilder/$kopier_bereich/thumbs/$new");
			}
		}
	$verzeichnis = "eigene_bilder/$kopier_bereich/tif";
	$verz=opendir ($verzeichnis);
	while ($new = readdir ($verz))
		{
		if($new != "." && $new != "..")
			{
			unlink("eigene_bilder/$kopier_bereich/tif/$new");
			}
		}
	if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
		{
		$verzeichnis = "eigene_bilder/$kopier_bereich/safe_pics";
		$verz=opendir ($verzeichnis);
		while ($new = readdir ($verz))
			{
			if($new != "." && $new != "..")
				{
				unlink("eigene_bilder/$kopier_bereich/safe_pics/$new");
				}
			}
		}
	}

if(isset($copy))
	{
	$titel = str_replace("\n","<br>",htmlentities(stripslashes($titel)));
	$bemerkungen = str_replace("\n","<br>",htmlentities(stripslashes($bemerkungen)));
	$datum = str_replace("\n","<br>",htmlentities(stripslashes($datum)));
	$new_line = "$akt_pic\$%\$$titel\$%\$$bemerkungen\$%\$$datum\$%\$\n";

	$file = $read_write;

	$array = file($read_write);
	$end = count($array);
	$fp = fopen("$file","w-");
	for($x=0;$x<$line;$x++)
		{
		fwrite($fp,$array[$x]);
		}
	fwrite($fp,$new_line);

	for($x=$line+1;$x<$end;$x++)
		{
		fwrite($fp,$array[$x]);
		}
	fclose($fp);
	}
if(isset($move))
	{
	$file = $read_write;
	$array = file($read_write);
	$move_line = $array[$move];
	$end = count($array);
	if($new_line == $move)
		{
		echo "Geht nicht\n";
		}
		else
			{
			if($new_line == Ende)
				{
				$new_array = array();
				for($x=0;$x<$move;$x++)
					{
					array_push($new_array,"$array[$x]");
					}
				for($x=$move+1;$x<$end;$x++)
					{
					array_push($new_array,"$array[$x]");
					}
				array_push($new_array,"$move_line");
				}
			else
				{
				if($move<$new_line)
					{
					$new_array = array();
					for($x=0;$x<$move;$x++)
						{
						array_push($new_array,"$array[$x]");
						}

					for($x=$move+1;$x<$new_line;$x++)
						{
						array_push($new_array,"$array[$x]");
						}
					array_push($new_array,"$move_line");
					for($x=$new_line;$x<$end;$x++)
						{
						array_push($new_array,"$array[$x]");
						}
					}
				if($move>$new_line)
					{
					$new_array = array();
					for($x=0;$x<$new_line;$x++)
						{
						array_push($new_array,"$array[$x]");
						}
					array_push($new_array,"$move_line");
					for($x=$new_line;$x<$move;$x++)
						{
						array_push($new_array,"$array[$x]");
						}

					for($x=$move+1;$x<$end;$x++)
						{
						array_push($new_array,"$array[$x]");
						}
					}


				}
			$fp = fopen("$file","w-");
			for($x=0;$x<$end;$x++)
				{
				fwrite($fp,$new_array[$x]);
				}
			fclose($fp);
			}
	}

if(isset($work))
{
if($move_sector == "----------------")
	{
	echo "<p class=error>Sie müssen einen Bereich angeben, in den der Eintrag verschoben werden soll....<br><br><a href=javascript:history.back()>zurück!</a></p><br><br>\n";
        exit;
	}
else
{
if($move_sector == $kopier_bereich)
{
echo "<p class=error>Der Eintrag befindet sich bereits im Bereich \"$kopier_bereich\"<br><br><a href=javascript:history.back()>zurück!</a></p>\n";
exit;
}
	else
	{
	$array = file($read_write);
	$end = count($array);
	$works = $array[$work];
	if($work == 0)
		{
		$file = $read_write;
		$fp = fopen("$file","w-");
		for($x=1;$x<$end;$x++)
			{
			fwrite($fp,$array[$x]);
			}
		fclose($fp);
		$file = "config/tables/$move_sector";
		$fp = fopen("$file","a-");
		fwrite($fp,$works);
		fclose($fp);
		}
		else
		{
		if($work == $end-1)
			{
			$file = $read_write;
			$fp = fopen("$file","w-");
			for($x=0;$x<$end-1;$x++)
				{
				fwrite($fp,$array[$x]);
				}
			fclose($fp);
			$file = "config/tables/$move_sector";
			$fp = fopen("$file","a-");
			fwrite($fp,$works);
			fclose($fp);
			}
			else
				{
				$file = $read_write;
				$fp = fopen("$file","w-");
				for($x=0;$x<$work;$x++)
					{
					fwrite($fp,$array[$x]);
					}
				for($x=$work+1;$x<$end;$x++)
					{
					fwrite($fp,$array[$x]);
					}
				fclose($fp);
				$file = "config/tables/$move_sector";
				$fp = fopen("$file","a-");
				fwrite($fp,$works);
				fclose($fp);
				}
		}
	$bla = explode("$%$",$works);
	copy ("eigene_bilder/$kopier_bereich/jpg/jpg_$bla[0].jpg","eigene_bilder/$move_sector/jpg/jpg_$bla[0].jpg");
	unlink("eigene_bilder/$kopier_bereich/jpg/jpg_$bla[0].jpg");
	copy ("eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg","eigene_bilder/$move_sector/thumbs/thumb_$bla[0].jpg");
	unlink("eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg");
	if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif"))
		{
		copy("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif","eigene_bilder/$move_sector/tif/tif_$bla[0].tif");
		unlink("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif");
		}
	if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
		{
		if(file_exists("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~"))
			{
			if(file_exists("eigene_bilder/$move_sector/safe_pics")){}
			else
				{
				mkdir("eigene_bilder/$move_sector/safe_pics",0777);
				chmod("eigene_bilder/$move_sector/safe_pics",0777);
				}
			copy("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~","eigene_bilder/$move_sector/safe_pics/jpg_$bla[0].jpg~");
			unlink("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~");
			}
		}
	}
}
}
echo "<br><div align=center><font class=h1>Tabelle bearbeiten: $kopier_bereich</font><br>\n";
echo "<font class=titel><a name=0>($mb_space MB)</a></font><br><br>\n";

if($kopier_bereich == Muelleimer)
		{
		echo "<div align=center><form action=line_delete.php?kopier_bereich=$kopier_bereich method=post class=action_gross>\n";
		echo "<input type=submit value=\"Muelleimer leeren\" name=delete_all></form></div><br>\n";
		}
//////////////////////////////////////////////////////////
        include("config/includes/site_counter");
//////////////////////////////////////////////////////////

echo "<div align=center><form action=bilder_verschieben.php?kopier_bereich=$kopier_bereich method=post class=action_klein>\n";
echo "<input type=submit value=\"Mehrere Bilder aus diesem Bereich verschieben\"></form></div>\n";

if(isset($move))
        {
        echo "<br><font class=titel>Wo war die Zeile?\n";
        echo " - <a href=tab_show.php?kopier_bereich=$kopier_bereich&site=$site#$anker>hier klicken!</a></font><br><br>\n";
        if($new_line <=20)
                {
                if($new_line > $move)
                        {
                        $new_anker=$new_line-1;
                        }
                else
                        {
                        $new_anker=$new_line;
                        }
                echo "<br><font class=titel>... und wo ist die Zeile jetzt?\n";
                echo " - <a href=tab_show.php?kopier_bereich=$kopier_bereich&site=1#$new_anker>hier klicken!</a></font><br><br>\n";
                }
        if($new_line > 20)
                {
                $new_site = $new_line/20;
                $new_site = ceil($new_site);
                $new_line1 = ceil($new_site)-1;

                if($new_line > $move)
                        {
                        $new_anker=$new_line-($new_line1*20)-1;
                        }
                else
                        {
                        $new_anker=$new_line-($new_line1*20);
                        }
                echo "<br><font class=titel>... und wo ist die Zeile jetzt?\n";
                echo " - <a href=tab_show.php?kopier_bereich=$kopier_bereich&site=$new_site#$new_anker>hier klicken!</a></font><br><br>\n";
                }

        }
if(isset($brow))
        {
        echo "<br><font class=titel>aah, wo war die Zeile? - <a href=tab_show.php?kopier_bereich=$kopier_bereich&site=$site#$anker>hier klicken!</a></font><br><br>\n";
        }
	$read_write = "config/tables/$kopier_bereich";
	$file = $read_write;
	$array = file($file);
	echo "<div align=center><table class=rahmentab width=100%  cellspacing=5 cellpadding=4 style=border-top-color=><tr>\n";
	echo "<td class=tab width=2% valign=top><div align=center><font class=titel>Nr.</font></div></td>\n";
	echo "<td class=tab width=20% valign=top><div align=center><font class=titel>Bearbeiten</font></div></td>\n";
	echo "<td class=tab width=15% valign=top><div align=center><font class=titel>Bildvorschau</font></div></td>\n";
	echo "<td class=tab width=10% valign=top><div align=center><font class=titel>Titel<br>Urheber</font></div></td>\n";
	echo "<td class=tab width=43% valign=top><div align=center><font class=titel>Bemerkungen</font></div></td>\n";
	echo "<td class=tab width=10% valign=top><div align=left><font class=titel>Vom<br>(Datum)</font></div></td></tr>\n";
	

$tabelle = file("config/tables/$kopier_bereich");
$sites = count($tabelle)/20;
$sites = ceil($sites);
$z = count($tabelle)+1;
##########	Seite anzeigen!!!

			if(count($tabelle)<20)
				{
				$a = 0;
				$b = count($tabelle);
				}
			else
				{
				if(isset($site))
					{
					if($site>$sites)
						{
						$a=($sites-1)*20;
						$b=count($tabelle);
						}
					else
						{
						$a = ($site-1)*20;
						if($sites>$site)
							{
							$b = $site*20;
							}
						else
							{
							$b = count($tabelle);
							}
						}
					}
				else
					{
					$a = 0;
					$b =20;
					}
				}

			##########	/Seite anzeigen

$anker = -1;
$a_name = 0;
$step_up = -2;
$step_down = 0;
for($x=$a; $x<$b; $x++)
        {
        $nr = $x+1;
        $anker++;
        $a_name++;
        $step_down++;
        $step_up++;
        $bla = explode("$%$",$array[$x]);
        $kb_thumb = filesize("eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg");
        $kb_thumb_round = round($kb_thumb / 1000 , 1);
        $kb_jpg = filesize("eigene_bilder/$kopier_bereich/jpg/jpg_$bla[0].jpg");
        $kb_jpg_round = round($kb_jpg / 1000 , 1);

        if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif"))
                {
                $kb_tif = filesize("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif");
                $kb_tif_round = round($kb_tif / 1000 , 1);
                }
	if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
		{
		if(file_exists("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~"))
			{
			$kb_safe_pic = filesize("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~");
			$kb_safe_pic_round = round($kb_safe_pic / 1000 , 1);
			}
		}
        echo "<tr><td class=tab width=2% valign=top><font class=text>$nr</font></td><td class=tab width=20% valign=top><br>\n";

        if($kopier_bereich == Muelleimer)
                {
                echo "<div align=right><form action=line_delete.php?kopier_bereich=$kopier_bereich method=post>\n";
                echo "<input type=hidden name=del value=$x><input type=hidden name=akt_pic value=$bla[0]>\n";
                echo "<input type=hidden name=titel value=\"$bla[1]\">\n";
                echo "<input type=hidden name=bemerkungen value=\"$bla[2]\">\n";
                echo "<input type=hidden name=datum value=\"$bla[3]\"><input type=submit value=\"Zeile löschen\"></form>\n";
                }
        else
		{
                if(isset($site))
                        {
                        echo "<div align=left><form action=line_work.php?kopier_bereich=$kopier_bereich&anker=$anker&site=$site method=post class=action>\n";
                        }
                else
                        {
		        echo "<div align=left><form action=line_work.php?kopier_bereich=$kopier_bereich&anker=$anker&site=1 method=post class=action>\n";
                        }
                echo "<input type=hidden name=line value=$x><input type=hidden name=akt_pic value=$bla[0]>\n";
                echo "<input type=hidden name=titel value=\"$bla[1]\"><input type=hidden name=bemerkungen value=\"$bla[2]\">\n";
                echo "<input type=hidden name=datum value=\"$bla[3]\"><input type=submit value=\"Zeile bearbeiten\"></form><br>\n";
                if(isset($site))
                        {
                        echo "<form action=tab_show.php?kopier_bereich=$kopier_bereich&anker=$anker&site=$site method=post class=action><font class=anweis>Vor Zeile</font><br> \n";
                        }
                else
                        {
                        echo "<form action=tab_show.php?kopier_bereich=$kopier_bereich&anker=$anker&site=1 method=post class=action><font class=anweis>Vor Zeile</font><br> \n";
                        }

                echo "<select name=new_line size=1>\n";
                $mogel=-1;
                for($y=1;$y<count($tabelle);$y++)
        		{
                        $mogel++;
                        echo "<option value=$mogel>$y</option>\n";
			}
		echo "<option>Ende</option>\n";
                echo "</select>\n";
		echo "<input type=hidden name=move value=$x><input type=submit value=verschieben></form><br>\n";
		}
        if(isset($site))
                {
                echo "<form action=tab_show.php?kopier_bereich=$kopier_bereich&brow=1&site=$site&anker=$anker method=post class=action><a name=$a_name><font class=anweis>Nach</font></a> <br>\n";
                }
        else
                {
                echo "<form action=tab_show.php?kopier_bereich=$kopier_bereich&brow=1&site=1&anker=$anker method=post class=action><a name=$a_name><font class=anweis>Nach</font></a> <br>\n";
                }
        echo "<select name=move_sector size=1>\n";
        $bereich = file("config/includes/tabs");
	usort($bereich,"strnatcasecmp");
        for($y=0;$y<count($bereich);$y++)
		{
		echo "<option>$bereich[$y]</option>\n";
		}
        echo "</select>\n";
        echo "<br><input type=hidden name=work value=$x><input type=submit value=verschieben>\n";
        echo "<input type=hidden name=anker value=$anker></form>\n";
        echo "</div></td>\n";
       if(isset($site))
                {
                echo "<td class=tab width=15% valign=top><a href=pic_show.php?kopier_bereich=$kopier_bereich&pic=$bla[0]&anker=$anker&site=$site>\n";
                }
       else
                {
                echo "<td class=tab width=15% valign=top><a href=pic_show.php?kopier_bereich=$kopier_bereich&pic=$bla[0]&anker=$anker&site=1>\n";
                }

        echo "<img border=0 src=eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg></a>\n";
        echo "<table width=100% ><tr><td valign=bottom>\n";
        echo "<nobr><a href=#$step_up><img src=gifs/1uparrow.png width=16 height=16 border=0 alt=\"up\"></a>&nbsp;\n";
            echo "<a href=#$step_down><img src=gifs/1downarrow.png width=16 height=16 border=0 alt=\"up\"></a>&nbsp;\n";
            echo "<a href=#oben><img src=gifs/2uparrow.png width=16 height=16 border=0 alt=\"up\"></a>&nbsp;\n";
            echo "<a href=#unten><img src=gifs/2downarrow.png width=16 height=16 border=0 alt=\"up\"></a>&nbsp;\n";
            echo "</td><td>\n";

        echo "<div align=right><font class=klein>thumb_$bla[0].jpg ($kb_thumb_round KB)<br>
        jpg_$bla[0].jpg ($kb_jpg_round KB)\n";

        if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif"))
                {
                echo "<br>tif_$bla[0].tif ($kb_tif_round KB)";
                }
	if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
		{
		if(file_exists("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~"))
			{
			echo "<br>jpg_$bla[0].jpg~ ($kb_safe_pic_round KB)";
			}
		}
        echo "</div></font></td></tr></table>\n";

            echo "</td>\n";
        if($bla[1] == "")
                {
                echo "<td class=tab width=10% valign=top><font color=#FFFFFF>-</font></td>\n";
                }
        else
                {
                echo "<td class=tab width=10% valign=top><font class=text>$bla[1]</font></td>\n";
                }
        if($bla[2] == "")
                {
                echo "<td class=tab width=43% valign=top><font color=#FFFFFF>-</font></td>\n";
                }
        else
                {
                echo "<td class=tab width=43% valign=top><font class=text>$bla[2]</font></td>\n";
                }
        if(($bla[3] == "") || ($bla[3] == "\n"))
                {
                echo "<td class=tab width=10% valign=top><font color=#FFFFFF>-</font></td>\n";
                }
        else
                {
                echo "<td class=tab width=10% valign=top><font class=text>$bla[3]</font></td>\n";
                }
            echo "</tr>\n";


        }
echo "</font></table><br><a name=unten><font color=\"#FFFFFF>-</font></a><br>\n";
if($kopier_bereich == Muelleimer)
		{
		echo "<div align=center><form action=line_delete.php?kopier_bereich=$kopier_bereich method=post class=action_gross>\n";
		echo "<input type=submit value=\"Muelleimer leeren\" name=delete_all></div><br>\n";
		}
}
//////////////////////////////////////////////////////////
        include("config/includes/site_counter");
//////////////////////////////////////////////////////////

?>
